Subject: RE: [Mip6] Revised WG charter

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Wed, 30 Aug 2006 21:47:55 -0400

Hello Raj,

MIP6-RADIUS is another work item that should be on the mip6 WG charter.
Could you please update the charter accordingly?

-Kuntal

> -----Original Message-----
> From: Basavaraj Patil [mailto:[email-masked]]
> Sent: Wednesday, August 30, 2006 7:44 PM
> To: [email-masked]
> Subject: [Mip6] Revised WG charter
> 
> 
> Hello,
> 
> Below is the revised WG charter (based on discussion at IETF66 and WG
ML
> following the meeting). The intent is to send this for IESG
> review/approval
> by Sept 8th. If you have comments, please post them to the list.
> 
> -Raj
> 
> ------------------------------------------------------------
> 
> 
> Mobility for IPv6 (mip6)
> 
> Last Modified: 2006-08-26
> 
> Chair(s):
> Basavaraj Patil <[email-masked]>
> Gopal Dommety <[email-masked]>
> 
> Internet Area Director(s):
> Jari Arkko <[email-masked]>
> Mark Townsley <[email-masked]>
> 
> Internet Area Advisor:
> Jari Arkko <[email-masked]>
> 
> Mailing Lists:
> General Discussion: [email-masked]
> To Subscribe: https://www.ietf.org/mailman/listinfo/mip6
> Archive: http://www.ietf.org/mail-archive/web/mip6/index.html
> 
> Description of Working Group:
> 
> Mobile IPv6 (MIP6) specifies routing support which permits an IPv6
> host to continue using its home address as it moves around the
> Internet, enabling continuity of sessions. Mobile IPv6 supports
> transparency above the IP layer, including maintenance of active TCP
> connections and UDP port bindings. The base specifications for Mobile
> IPv6 consist of:
> 
>      o RFC 3775
>      o RFC 3776
> 
> The primary goal of the MIP6 working group will be to enhance base
> IPv6 mobility by continuing work on developments that are required for
> wide-scale deployments. Additionally the working group will ensure
> that any issues identified by implementation and interoperability
> experience are addressed, and that the base specifications are
> maintained. The group will also produce informational documentation,
> such as design rationale documents or description of specific issues
> within the protocol.
> 
> Deployment considerations call for work to reduce per-mobile node
> configuration and enrollment effort, solutions to enable dual-stack
> operation, mechanisms to support high-availabity home agents, and ways
> to employ Mobile IPv6 in the presence of firewalls.
> 
> Work items related to base specification maintenance include:
> 
>  - Create and maintain an issue list that is generated on the basis of
>    implementation and interoperability experience. Address specific
>    issues with specific updates or revisions of the base
>    specification.  This work relates only to corrections and
>    clarifications. The working group shall not revisit design
>    decisions or change the protocol.
> 
>  - Update RFC 3776 to specify the usage of IKEv2 for the establishment
>    of the IPsec SA between the MN and HA. This work also provides a
>    way for a mobile node to change its home address or employ multiple
>    home addresses as needed.
> 
>  - Update the IANA considerations of RFC 3775 to allow extensions for
>    experimental purposes as well passing of optional vendor-specific
>    information.
> 
> Work items related to large scale deployment include:
> 
>  - Bootstrapping Mobile IPv6: A bootstrapping mechanism is intended to
>    be used when the device is turned on the very first time and
>    activates Mobile IPv6, or periodically such as when powering
>    on. The WG should investigate and define the scope before solving
>    the problem.
> 
>    Work on the problem statement and the solutions needed for various
>    deployment scenarios. Work with other WGs such as DHC for defining
>    the options needed for bootstrapping.
> 
>  - Capture the AAA requirements needed for bootstrapping and
>    deployment, and work with the Radext and DiME WGs on the solutions.
> 
>  - A Solution for MIP6 session continuity for dual stack hosts which
>    attach to IPv4 access networks. Additionally provide a mechanism
>    for carrying IPv4 packets via the Home agent for MIP6 capable
>    dual-stack hosts. This work will be done in collaboration with the
>    NEMO WG.
> 
>  - A protocol based solution for enhancing the reliability of home
>    agents and a method to force a host to switch home agents.
> 
>  - A mechanism to force an MN to switch the HA that is currently
>    serving it. This is required in deployments where the HA may need
>    to be taken offline for maintenance.
> 
>  - Work on solutions to deal with firewalls and the problems that
>    firewalls cause as identified in RFC 4487.
> 
> Work items related to informational documentation include:
> 
>  - Produce a problem statement relating to location privacy and the
>    use of Mobile IPv6. Work with the IRTF MOBOPTS RG on developing the
>    solution.
> 
>  - Produce a design rationale that documents the historical
>    thinking behind the introduction of an alternative security
>    mechanism, the Authentication Protocol (RFC 4285).
> 
> It should be noted that some of the features that are directly related
> to Mobile IPv6 are being worked on in the MONAMI6, MIPSHOP, and NEMO
> working groups. The specific extensions from these groups are out of
> scope for the MIP6 working group. In particular, all optimizations are
> out of scope. However, MIP6 may assist these groups when they use
> features listed above and have requirements on them.
> 
> Milestones:
> 
> Done          Submit I-D 'MIPv6 operation with IKEV2 and the revised
>         IPsec Architecture' to IESG for publication as a
>         Proposed Standard.
> 
> Sep 2006    Submit I-D 'Motivation for Authentication I-D' to IESG
>         for publication as Informational.
> 
> Sep 2006    Submit I-D 'Bootstrapping solution for Integrated
Scenario'
>         to IESG for publication as a Proposed Standard.
> 
> Oct 2006    Submit I-D 'Goals for AAA HA Interface' to IESG for
>         publication as Informational.
> 
> Oct 2006    Submit I-D 'Address Location Privacy and Mobile IPv6
Problem
>         Statement' to IESG for publication as Informational.
> 
> Nov 2006    Submit I-D 'Bootstrapping solution for split Scenario' to
IESG
>         for publication as a Proposed Standard.
> 
> Nov 2006 Submit I-D 'DHCP Options for Home Information Discovery in
>         MIPv6' for publication as a proposed standard.
> 
> Dec 2006    Submit I-D 'Home agent reliability' to IESG for
publication
>         as a Proposed Standard.
> 
> Dec 2006    Submit I-D 'Mobile IPv6 Dual-Stack Operation' to IESG for
>         publication as a Proposed Standard.
> 
> Dec 2006 Submit I-D 'Mobility Header Home Agent Switch Message' to
>          IESG for publication as a Proposed Standard.
> 
> Jan 2007    Submit I-D 'Mobile IPv6 Experimental Allocations' to IESG
for
>         publication as a Proposed Standard.
> 
> Apr 2007    Submit I-D 'Mobile IPv6 Operation with Firewalls' to IESG
>         for publication as Informational.
> 
> May 2007    Submit I-D(s) related to specific updates and corrections
>         of RFC 3775 to IESG for publication as Proposed Standard.
> 
> 
> 
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6

"This email message and any attachments are confidential information of Starent Networks, Corp. The information transmitted may not be used to create or change any contractual obligations of Starent Networks, Corp.  Any review, retransmission, dissemination or other use of, or taking of any action in reliance upon this e-mail and its attachments by persons or entities other than the intended recipient is prohibited. If you are not the intended recipient, please notify the sender immediately -- by replying to this message or by sending an email to [email-masked] -- and destroy all copies of this message and any attachments without reading or disclosing their contents. Thank you."

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: "Gopal Dommety \(gdommety\)" <[email-masked]>
Date: Thu, 31 Aug 2006 12:25:50 -0700

James,

	It will be useful to list the milestones even if they are short
term. This will provide accurate tracking without much of overhear.

Regards,
-Gopal

-----Original Message-----
From: James Kempf [mailto:[email-masked]] 
Sent: Thursday, August 31, 2006 11:04 AM
To: Basavaraj Patil; [email-masked]
Subject: Re: [Mip6] Revised WG charter 

Raj,

Some specific comments, mostly editorial.

> Basavaraj Patil <[email-masked]> Gopal Dommety 
> <[email-masked]>
>

So does this mean the Mobile IP doesn't support SCTP or DCCP?

I'd suggest the following:

    including maintenance of active transport level sessions.

>   deployment, and work with the Radext and DiME WGs on the solutions.

I think this addresses Kuntal's comment.

>   mechanism, the Authentication Protocol (RFC 4285).

Actually, there are some technical problems with RFC 4285. There is no
algorithm agility, for example, so if cryptanalysis continues to chip
away at SHA1, the security will deteriorate. I think it might be
worthwhile to revisit RFC 4285 if the WG really believes there is value
in it.

>        IPsec Architecture' to IESG for publication as a

If this is complete, then why is it in the milestones?

Scenario'
Problem
IESG
publication
for
>        of RFC 3775 to IESG for publication as Proposed Standard.

Some of these are very short term, like the Sept. ones. If the charter
is approved by the end of Sept, they will be complete before the charter
is. Is it really necessary to list those?

        jak